Page MenuHomePhabricator

Port language screenshots for VisualEditor from Ruby to JavaScript
Closed, ResolvedPublic8 Story Points

Description

We were able to make language screenshots for VisualEditor (T64737) but since the code is Ruby , it was a constant struggle to fix the failures (T119482). If the tool was ported to JavaScript using Malu, more people would be able to fix the failures, including VisualEditor team.

We have a working tool in Ruby and it should not be hard to port it to JavaScript during Wikimania-Hackathon-2016. I have talked with @Amire80 and he is interested. I think @Ryasmeen would be interested too.

Next step: @Amire80 should contact people/teams that would be using the tool and ask them to join us at the hackathon.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2016, 1:43 PM

We have JS browser tests?

zeljkofilipin added a subscriber: dduvall.EditedApr 21 2016, 1:14 PM

@Esanders apologies for the late reply, I was traveling.

Yes, @dduvall and I have experimented with Selenium+Javascript (T108874). The outcome is malu. Example how to use it in a repository is 256404.

Jdforrester-WMF triaged this task as Normal priority.Apr 26 2016, 8:28 PM
Jdforrester-WMF set the point value for this task to 0.Apr 28 2016, 1:21 AM
Elitre added a subscriber: Elitre.May 9 2016, 8:34 AM
zeljkofilipin added a project: Malu.

Change 295924 had a related patch set uploaded (by Esanders):
Add screenshots grunt task for taking documentation screenshots

https://gerrit.wikimedia.org/r/295924

Jdforrester-WMF closed this task as Resolved.Jun 28 2016, 3:37 PM
Jdforrester-WMF reassigned this task from Amire80 to zeljkofilipin.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF changed the point value for this task from 0 to 8.

Change 295924 merged by jenkins-bot:
Add screenshots grunt task for taking documentation screenshots

https://gerrit.wikimedia.org/r/295924

Change 300846 merged by jenkins-bot:
Remove Ruby implementation of language screenshots

https://gerrit.wikimedia.org/r/300846